#div-1{
	/*div is block by default	*/
	background-color: green;
	display: block;
}
#span-1{
	/*span is block by default	*/
	background-color: purple;
	display: none;
}
#div-2{
	background-color: hotpink;
	display: block;
}
#span-2{
	background-color: red;
}
#img{
	/*img is inline by default	*/
	display: inline-block;
	width: 250px;
	height: 250px;
}

/*we can use hexcode*/
#p-1{
	background-color: #87CEFA;
}
/*we can use colorvalue*/
#p-2{
	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p-3{
	background-color: yellowgreen;
	width: 40%;
}
.sample{
	display: inline-block;
	width: 30%;
	border: 1px;
	text-align: center;
}
.img-float{
	width: 250px;
	height: 250px;
	/*float value = inherit, right, left	*/
	float: inherit;
}
.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;

}
.fifty-percent{
	width: 50%;
}
.one-hundred-pixels{
	width: 100px;
}
.parent{
	width: 35px;
	border: 2px solid navy;
}
.background{
	min-height: 20rem;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center top;
	/*background attachment = scroll, fixed*/
	background-attachment: fixed
}
.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 10rem;

}
.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;

}
.parent-element{
	background-color: skyblue;
	padding: 10px;
	position: relative;
	
}
.child-1{
	background-color: gray;
	padding: 10px;
	
}
.child-2{
	background-color: yellow;
	padding: 10px;

	/*position value = static, relative, absolute, fixed(anywhere), sticky(parent)	*/
	position: sticky;
	top: 10px;
	z-index: 2;
}
.child-3{
	background-color: gray;
	padding: 10px;

}
.contaner{
	position: relative;
}
.black-box{
	position: relative;
	z-index: 3;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
	background-color: black;
	color: white;
}
.gray-box{
	position: relative;
	z-index: 2;
	border: 2px solid gray;
	margin: 30px;
	background-color: gray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: -80px;
}